#!/bin/bash
VERSION=$(cat VERSION)r$(cat RELEASE)
mkdir -p "lch-$VERSION/DEBIAN"
echo -e "Package: lch
Version: $VERSION
Architecture: all
Maintainer: HatThieves <webmaster@hatthieves.es>
Depends: bash
Homepage: https://lch.hatthieves.es
Description: LCH - Linux Compressor Humanizer" > "lch-$VERSION/DEBIAN/control"
mkdir -p "lch-$VERSION/usr/bin" "lch-$VERSION/usr/lib/lch" "lch-$VERSION/usr/share/man/man1"
cp ./lch "lch-$VERSION/usr/bin"
cp -r ./lib/* "lch-$VERSION/usr/lib/lch"
gzip ./man/lch.1 -c > "lch-$VERSION/usr/share/man/man1/lch.1.gz"
chmod 644 "lch-$VERSION/usr/share/man/man1/lch.1.gz"
dpkg -b "lch-$VERSION"
rm -rf "lch-$VERSION"
