###############################################################################
# Spec file for lch
################################################################################
# Configured to be built by user student or other non-root user
################################################################################
#
Summary: Linux Compress Humanizer
Name: lch
Version: %(cat "$PWD/VERSION")
Release: %(cat "$PWD/RELEASE")
License: GPL
URL: https://lch.hatthieves.es
Group: System
Packager: HatThieves
Requires: bash
BuildRoot: ./rpmbuild/

# Build with the following syntax:
# rpmbuild --target noarch -bb lch.spec

%description
Linux Compress Humanizer

%prep
################################################################################
# Create the build tree and copy the files from the development directories    #
# into the build tree.                                                         #
################################################################################
echo "BUILDROOT = $RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/lch

cp $OLDPWD/lch $RPM_BUILD_ROOT/usr/bin
cp -r $OLDPWD/lib/* $RPM_BUILD_ROOT/usr/lib/lch

exit

%files
%attr(0755, root, root) /usr/bin/lch
/usr/lib/lch/*

%clean
rm -f $RPM_BUILD_ROOT/usr/bin/lch
rm -rf $RPM_BUILD_ROOT/usr/lib/lch
